<?php
/*---------------------------------------------------------------*/
/*
    Titre : Convertisseur de vitesses                                                                                     
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=991
    Date dition     : 15 Fv 2019                                                                                        
    Date mise  jour : 27 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

     function convert_speed($val , $type_val , $type_wanted){
     $tab = array("mm/h"  => 0.001/3600, 
       "mm/min"  => 0.001/60, 
       "mm/s"  => 0.001, 
       "cm/h"  => 0.01/3600, 
       "cm/min"  => 0.01/60, 
       "cm/s"  => 0.01, 
       "m/h"  => 1/3600, 
       "m/min"  => 1/60, 
       "m/s"  => 1, 
       "km/h"  => 1000/3600, 
       "km/min"  => 1000/60, 
       "km/s"  => 1000, 
       "noeud"  => 1852/3600, 
       "mach"  => 331.622);  
      return ($val * $tab[$type_val] / $tab[$type_wanted]); 
    }

?>